Page MenuHomePhabricator

review sdwdate pool member revamp by anonymous1
Closed, ResolvedPublic

Details

Impact
Normal

Event Timeline

Patrick created this task.Mar 15 2017, 2:29 PM

What are the criteria for reviewing?

It seems like adding/remove time sources is a huge manual headache. Is there a way to automate this?

What are the criteria for reviewing?

Newer discussion if we want specific onions at all is done in: https://forums.whonix.org/t/suggest-trustworthy-tor-hidden-services-as-time-sources-for-sdwdate. (I guess work by @anonymous1 is all fine, but we ought to audit it.)

It seems like adding/remove time sources is a huge manual headache. Is there a way to automate this?

Yes, partially.

(See this ticket's Blocked By.
T648 sdwdate onions checker enhancements required )

anonymous1 added a comment.EditedJun 5 2017, 10:56 PM

To help with the 4th criteria,

If I remember correctly, I didn't ask when adding xmr.to's address, it is a trusted service by the Monero community

I didn't ask c4ss.org's address as well

Patrick said no for pgpkeys.urown.net (http://forums.kkkkkkkkkk63ava6.onion/t/suggest-trustworthy-tor-hidden-services-as-time-sources-for-sdwdate/856/65), which was part of a list, perhaps it was a mistake or he didn't see it fit as a standalone addition, I still included it as part of sks-keyservers list

From the same post, Patrick said "No. (clearnet domain broken)" for pgp.ohai.su, but I added it to sks-keyservers list because it works for me?

I didn't ask when adding securedrop-globaleaks addresses

The process is confusing to me right now. We pull the new file and run sdwdate unit test and see which ones fail and check which ones are new and which ones are old... or remove all failing result?

The workflow could be something like...

  1. People suggest an onion, with necessary details ( in a gist or some online text file ?)
  2. Patrick or whoever quickly rejects or accepts
  3. Automatic checker is feed the text file, does a check on the times, and outputs which ones work or don't

But even that is not so great. We need a program that maintains a database of servers. It checks it every-so-often, records how many failures and successes, and can be asked to output a list of working servers.

Your questions are more part of T648.

The process is confusing to me right now. We pull the new file and run sdwdate unit test and see which ones fail and check which ones are new and which ones are old... or remove all failing result?

The workflow could be something like...

  1. People suggest an onion, with necessary details ( in a gist or some online text file ?)

suggest here:

https://forums.whonix.org/t/suggest-trustworthy-tor-hidden-services-as-time-sources-for-sdwdate

  1. Patrick or whoever quickly rejects or accepts

Currently assigned to @HulaHoop.

  1. Automatic checker is feed the text file,

No, it's feed sdwdate's config.

does a check on the times, and outputs which ones work or don't

Yes.

But even that is not so great. We need a program that maintains a database of servers. It checks it every-so-often, records how many failures and successes, and can be asked to output a list of working servers.

We manually run the unit test T648 before each release.


This very task T647:

See comment T647#13538... Most importantly:

Everything else will be sorted out in T648 anyhow. T648 needs to be implemented first.

Can I simply download the changes to 30_default.conf
https://github.com/anonmos1/sdwdate/blob/94c3ff5e5cdd7393501d3ddb7ce9905400dd92d9/etc/sdwdate.d/30_default.conf

run the tester and make sure nothing is consistently timing out? Or is there more to it?

Merge https://github.com/Whonix/sdwdate/pull/19 locally.

run the tester and make sure nothing is consistently timing out?

Yes. The onion_tester (yes, that name is better after all) should also show the diff. I.e. the onion tester should also show +/- seconds diff. (To make it easier to see which ones are off too much.)

Or is there more to it?

As explained above.

JasonJAyalaP added a comment.EditedJun 20 2017, 7:15 AM

10 timeouts and a parsing error with pull/19's 30 default (https://github.com/anonmos1/sdwdate/blob/94c3ff5e5cdd7393501d3ddb7ce9905400dd92d9/etc/sdwdate.d/30_default.conf)

over a minute diff:
pad.riseup.net slow by 295 seconds
joindisaspora ahead by 177
debdeltas ahead by 130

about the parsing error: just remove the two #'s from the comment to fix for now

Patrick removed JasonJAyalaP as the assignee of this task.Jul 26 2017, 3:35 PM
joysn1980 claimed this task.EditedJul 29 2017, 3:41 PM
joysn1980 added a subscriber: joysn1980.

Please review
https://github.com/joysn/sdwdate/commit/16aedea1a9c93fffb35fe8e5716ff6ad866bc634#diff-289c8954e7cc8349c7632e4ace0564ec

and merge

[Please ignore my earlier review
https://github.com/joysn/sdwdate/commit/f0af0a3a700633c170926d75370d152034335053#diff-289c8954e7cc8349c7632e4ace0564ec]

All new onions are added courtesy - anonymous1
All onions were approved by Patrick in his response

Changes Made

Deleted Due to Host unreachable
Pool 1

ll6edwtpfl3zdwoi.onion
pubdrop4dw6rk3aq.onion
gawker5oxtsc6fa7.onion

Pool 2

atlas777hhh7mcs7.onion
compass6vpxj32p3.onion
globe223ezvh6bps.onion
acabtd4btrxjjrvr.onion

Pool 3

dju2peblv7upfz3q.onion
uj3wazyk5u4hnvtk.onion
cwoiopiifrlzcuos.onion
libraryxobbrbj33.onion
toristinkirir4xj.onion
tgnv2pssfumdedyw.onion
zdfsyv3rubuhpql3.onion
sgvtcaew4bxjd7ln.onion

Deleted due to Huge Time difference
Pool 2

w6csjytbrl273che.onion
ppdz5djzpo3w5k2z.onion
w6csjytbrl273che.onion

Pool 3

msydqstlz2kzerdg.onion
bitmailendavkbec.onion

After Deletion and Addition of new URLs
Avg of Pool :1 having URLs #:24 is 2
Avg of Pool :2 having URLs #:20 is 1
Avg of Pool :3 having URLs #:75 is 2

There are still some issues with some onions in Pool 3 (where the time difference sometimes crosses +/-5. We can relook at the pool 3 after some time again.

before modifications Avg was quite bad
Avg of Pool 1 is in the range of 5-10
Avg of Pool 2 is in the range of -91 to 78
Avg of Pool 3 is 5- 9

joysn1980 added a comment.EditedJul 29 2017, 3:45 PM

Output of Modified unit_test which picks up set of 3 urls at a time, finds the difference, calculates the avg of difference too.

user@host:~$ python /usr/share/sdwdate/unit_test1
Current Time: 1501337975
Starting remotes check...
Testing the URL Chunk:
['znig4bc5rlwyj4mz.onion', 'y6xjgkgwj47us5ca.onion', 'strngbxhwyuu37a3.onion']
pool 1 url znig4bc5rlwyj4mz.onion: Time: 1501337982 Difference: -1
pool 1 url y6xjgkgwj47us5ca.onion: Time: 1501337981 Difference: 0
pool 1 url strngbxhwyuu37a3.onion: Time: 1501337982 Difference: -1
Testing the URL Chunk:
['nrktipspgpsyoqwo.onion', 'dqeasamlf3jld2kz.onion', 'v6gdwmm7ed4oifvd.onion']
pool 1 url nrktipspgpsyoqwo.onion: Time: 1501337986 Difference: 3
pool 1 url dqeasamlf3jld2kz.onion: Time: 1501337984 Difference: 5
pool 1 url v6gdwmm7ed4oifvd.onion: Time: 1501337989 Difference: 0
Testing the URL Chunk:
['vbmwh445kf3fs2v4.onion', 'poulsensqiv6ocq4.onion', 'tigas3l7uusztiqu.onion']
pool 1 url vbmwh445kf3fs2v4.onion: Time: 1501337996 Difference: -1
pool 1 url poulsensqiv6ocq4.onion: Time: 1501337993 Difference: 2
pool 1 url tigas3l7uusztiqu.onion: Time: 1501337994 Difference: 1
Testing the URL Chunk:
['n572ltkg4nld3bsz.onion', 'udrciweihl4qe63p.onion', 'dashorg64cjvj4s3.onion']
pool 1 url n572ltkg4nld3bsz.onion: Time: 1501337999 Difference: 3
pool 1 url udrciweihl4qe63p.onion: Time: 1501338000 Difference: 2
pool 1 url dashorg64cjvj4s3.onion: Time: 1501338003 Difference: -1
Testing the URL Chunk:
['coinpaymtstgtibr.onion', 'bptfp7py2wclht26.onion', '2h3xkc7wmxthijqb.onion']
pool 1 url coinpaymtstgtibr.onion: Time: 1501338009 Difference: 0
pool 1 url bptfp7py2wclht26.onion: Time: 1501338010 Difference: -1
pool 1 url 2h3xkc7wmxthijqb.onion: Time: 1501338011 Difference: -2
Testing the URL Chunk:
['qcdbc7vspedojrr7.onion', 'mprt35sjunnxfa76.onion', '6zwctlqtpilbkl47.onion']
pool 1 url qcdbc7vspedojrr7.onion: Time: 1501338018 Difference: 1
pool 1 url mprt35sjunnxfa76.onion: Time: 1501338016 Difference: 3
pool 1 url 6zwctlqtpilbkl47.onion: Time: 1501338020 Difference: -1
Testing the URL Chunk:
['bylu6d6nx3og7shy.onion', 'n3txnhg64swyjlty.onion', 'wi7qkxyrdpu5cmvr.onion']
pool 1 url bylu6d6nx3og7shy.onion: Timeout (Curl --head is OK)
pool 1 url n3txnhg64swyjlty.onion: Time: 1501338025 Difference: 9
pool 1 url wi7qkxyrdpu5cmvr.onion: Time: 1501338027 Difference: 7
Testing the URL Chunk:
['clgs64523yi2bkhz.onion', 'privacyintyqcroe.onion', 'wlupld3ptjvsgwqw.onion']
pool 1 url clgs64523yi2bkhz.onion: Time: 1501338042 Difference: 0
pool 1 url privacyintyqcroe.onion: Time: 1501338042 Difference: 0
pool 1 url wlupld3ptjvsgwqw.onion: Time: 1501338036 Difference: 6

Avg of Pool :1 having URLs #:24 is 2

Testing the URL Chunk:
['ak2uqfavwgmjrvtu.onion', '5r4bjnjug3apqdii.onion', '5r4bjnjug3apqdii.onion']
pool 2 url ak2uqfavwgmjrvtu.onion: Time: 1501338047 Difference: -1
pool 2 url 5r4bjnjug3apqdii.onion: Time: 1501338045 Difference: 1
pool 2 url 5r4bjnjug3apqdii.onion: Time: 1501338046 Difference: 0
Testing the URL Chunk:
['fkut2p37apcg6l7f.onion', 'bqs3dobnazs7h4u4.onion', 'bitlox2twvzwbzpk.onion']
pool 2 url fkut2p37apcg6l7f.onion: Time: 1501338049 Difference: 6
pool 2 url bqs3dobnazs7h4u4.onion: Time: 1501338055 Difference: 0
pool 2 url bitlox2twvzwbzpk.onion: Time: 1501338053 Difference: 2
Testing the URL Chunk:
['obrrsrw6b3rjuibx.onion', 'nfkrkvghv75xsf26.onion', 'tsc64wi45alh6rkq.onion']
pool 2 url obrrsrw6b3rjuibx.onion: Time: 1501338064 Difference: -1
pool 2 url nfkrkvghv75xsf26.onion: Time: 1501338062 Difference: 1
pool 2 url tsc64wi45alh6rkq.onion: Time: 1501338062 Difference: 1
Testing the URL Chunk:
['wooprzddebtxfhnq.onion', 'xogxzfyhwmgfvmlr.onion', '47hbff4rtpwfpwlr.onion']
pool 2 url wooprzddebtxfhnq.onion: Time: 1501338072 Difference: -1
pool 2 url xogxzfyhwmgfvmlr.onion: Time: 1501338070 Difference: 1
pool 2 url 47hbff4rtpwfpwlr.onion: Time: 1501338071 Difference: 0
Testing the URL Chunk:
['kbbqa63mo7cchzut.onion', 'ai3dvhjytrgice5h.onion', 'nhzgrlwhukwtajz4.onion']
pool 2 url kbbqa63mo7cchzut.onion: Time: 1501338077 Difference: 5
pool 2 url ai3dvhjytrgice5h.onion: Time: 1501338079 Difference: 3
pool 2 url nhzgrlwhukwtajz4.onion: Time: 1501338082 Difference: 0
Testing the URL Chunk:
['diasporaaqmjixh5.onion', 'fd6dqrupy3af4xwb.onion', 'crypty22ijtotell.onion']
pool 2 url diasporaaqmjixh5.onion: Time: 1501338087 Difference: 1
pool 2 url fd6dqrupy3af4xwb.onion: Time: 1501338089 Difference: -1
pool 2 url crypty22ijtotell.onion: Time: 1501338089 Difference: -1
Testing the URL Chunk:
['cryjabkbdljzohnp.onion', 'deepdot35wvmeyd5.onion']
pool 2 url cryjabkbdljzohnp.onion: Time: 1501338094 Difference: 5
pool 2 url deepdot35wvmeyd5.onion: Time: 1501338094 Difference:5

Avg of Pool :2 having URLs #:20 is 1

Testing the URL Chunk:
['3g2upl4pq6kufc4m.onion', 'wi7qkxyrdpu5cmvr.onion', 'ic6au7wa3f6naxjq.onion']
pool 3 url 3g2upl4pq6kufc4m.onion: Time: 1501338114 Difference: -1
pool 3 url wi7qkxyrdpu5cmvr.onion: Time: 1501338111 Difference: 2
pool 3 url ic6au7wa3f6naxjq.onion: Time: 1501338112 Difference: 1
Testing the URL Chunk:
['zcashph5mxqjjby2.onion', 'archivecrfip2lpi.onion', 'nzh3fv6jc6jskki3.onion']
pool 3 url zcashph5mxqjjby2.onion: Time: 1501338119 Difference: 1
pool 3 url archivecrfip2lpi.onion: Time: 1501338095 Difference: 5
pool 3 url nzh3fv6jc6jskki3.onion: Time: 1501338120 Difference: 0
Testing the URL Chunk:
['xpgylzydxykgdqyg.onion', '5jp7xtmox6jyoqd5.onion', 'j6uhdvbhz74oefxf.onion']
pool 3 url xpgylzydxykgdqyg.onion: Time: 1501338124 Difference: 1
pool 3 url 5jp7xtmox6jyoqd5.onion: Time: 1501338125 Difference: 0
pool 3 url j6uhdvbhz74oefxf.onion: Time: 1501338126 Difference: -1
Testing the URL Chunk:
['7lvd7fa5yfbdqaii.onion', 'timaq4ygg2iegci7.onion', 'fncuwbiisyh6ak3i.onion']
pool 3 url 7lvd7fa5yfbdqaii.onion: Time: 1501338131 Difference: -1
pool 3 url timaq4ygg2iegci7.onion: Time: 1501338130 Difference: 0
pool 3 url fncuwbiisyh6ak3i.onion: Time: 1501338130 Difference: 0
Testing the URL Chunk:
['wlchatc3pjwpli5r.onion', 'qubesosmamapaxpa.onion', 'intelexi7yo7mj7j.onion']
pool 3 url wlchatc3pjwpli5r.onion: Time: 1501338135 Difference: 0
pool 3 url qubesosmamapaxpa.onion: Time: 1501338135 Difference: 0
pool 3 url intelexi7yo7mj7j.onion: Time: 1501338134 Difference: 1
Testing the URL Chunk:
['earthqfvaeuv5bla.onion', 'j7652k4sod2azfu6.onion', 'infotombjhy7tcrg.onion']
pool 3 url earthqfvaeuv5bla.onion: Time: 1501338135 Difference: 4
pool 3 url j7652k4sod2azfu6.onion: Time: 1501338134 Difference: 6
pool 3 url infotombjhy7tcrg.onion: Time: 1501338134 Difference: 6
Testing the URL Chunk:
['cheettyiapsyciew.onion', '52g5y5karruvc7bz.onion', 'x3nelbld33llasqv.onion']
pool 3 url cheettyiapsyciew.onion: Time: 1501338161 Difference: 0
pool 3 url 52g5y5karruvc7bz.onion: Time: 1501338157 Difference: 3
pool 3 url x3nelbld33llasqv.onion: Time: 1501338157 Difference: 3
Testing the URL Chunk:
['z5tfsnikzulwicxs.onion', 'icxe4yp32mq6gm6n.onion', 'qigcb4g4xxbh5ho6.onion']
pool 3 url z5tfsnikzulwicxs.onion: Time: 1501338165 Difference: 1
pool 3 url icxe4yp32mq6gm6n.onion: Time: 1501338166 Difference: 0
pool 3 url qigcb4g4xxbh5ho6.onion: Time: 1501338164 Difference: 2
Testing the URL Chunk:
['sdscoq7snqtznauu.onion', 'rqef5a5mebgq46y5.onion', 'klbl4glo2btuwyok.onion']
pool 3 url sdscoq7snqtznauu.onion: Time: 1501338170 Difference: -1
pool 3 url rqef5a5mebgq46y5.onion: Time: 1501338170 Difference: -1
pool 3 url klbl4glo2btuwyok.onion: Time: 1501338170 Difference: -1
Testing the URL Chunk:
['tngjm3owsslo3wgo.onion', '54nujbl4qohb5qdp.onion', 'ebxqgaz3dwywcoxl.onion']
pool 3 url tngjm3owsslo3wgo.onion: Time: 1501338174 Difference: 1
pool 3 url 54nujbl4qohb5qdp.onion: Time: 1501338173 Difference: 2
pool 3 url ebxqgaz3dwywcoxl.onion: Time: 1501338176 Difference: -1
Testing the URL Chunk:
['yz7lpwfhhzcdyc5y.onion', 'fqnqc7zix2wblwex.onion', 'wcgqzqyfi7a6iu62.onion']
pool 3 url yz7lpwfhhzcdyc5y.onion: Time: 1501338180 Difference: 4
pool 3 url fqnqc7zix2wblwex.onion: Time: 1501338179 Difference: 5
pool 3 url wcgqzqyfi7a6iu62.onion: Time: 1501338187 Difference: -1
Testing the URL Chunk:
['vt5hknv6sblkgf22.onion', 'dgvdmophvhunawds.onion', 'gbinixxw7gnsh5jr.onion']
pool 3 url vt5hknv6sblkgf22.onion: Time: 1501338192 Difference: -1
pool 3 url dgvdmophvhunawds.onion: Time: 1501338191 Difference: 0
pool 3 url gbinixxw7gnsh5jr.onion: Time: 1501338192 Difference: -1
Testing the URL Chunk:
['krkzagd5yo4bvypt.onion', 'hzmun3rnnxjhkyhg.onion', 'expyuzz4wqqyqhjn.onion']
pool 3 url krkzagd5yo4bvypt.onion: Time: 1501338197 Difference: 0
pool 3 url hzmun3rnnxjhkyhg.onion: Time: 1501338198 Difference: -1
pool 3 url expyuzz4wqqyqhjn.onion: Time: 1501338195 Difference: 2
Testing the URL Chunk:
['b5tearqs4v4nvbup.onion', '5j7saze5byfqccf3.onion', '6f6ejaiiixypfqaf.onion']
pool 3 url b5tearqs4v4nvbup.onion: Time: 1501338203 Difference: 2
pool 3 url 5j7saze5byfqccf3.onion: Time: 1501338205 Difference: 0
pool 3 url 6f6ejaiiixypfqaf.onion: Time: 1501338202 Difference: 3
Testing the URL Chunk:
['4ypuji3wwrg5zoxm.onion', 'bcwpy5wca456u7tz.onion', 'f6syxyjdgzbeacry.onion']
pool 3 url 4ypuji3wwrg5zoxm.onion: Time: 1501338210 Difference: 4
pool 3 url bcwpy5wca456u7tz.onion: Time: 1501338210 Difference: 4
pool 3 url f6syxyjdgzbeacry.onion: Time: 1501338211 Difference: 3
Testing the URL Chunk:
['ammd7ytxcpeavif2.onion', 'ynr7muu3263jikep.onion', '4do6yq4iwstidagh.onion']
pool 3 url ammd7ytxcpeavif2.onion: Time: 1501338222 Difference: 5
pool 3 url ynr7muu3263jikep.onion: Time: 1501338222 Difference: 5
pool 3 url 4do6yq4iwstidagh.onion: : Time: 1501338220 Difference: 3
Testing the URL Chunk:
['ugw3zjsayleoamaz.onion', 'eeblrw5eh2is36az.onion', '3m2tlhjsoxws2akz.onion']
pool 3 url ugw3zjsayleoamaz.onion: Timeout (Curl --head is OK)
pool 3 url eeblrw5eh2is36az.onion: Time: 1501338240 Difference: 4
pool 3 url 3m2tlhjsoxws2akz.onion: Time: 1501338241 Difference: 3
Testing the URL Chunk:
['gmi5gld3uk5ozvrv.onion', '465rf3c2oskkqc24.onion', 'vral2uljb3ndhhxr.onion']
pool 3 url gmi5gld3uk5ozvrv.onion: Time: 1501338252 Difference: 2
pool 3 url 465rf3c2oskkqc24.onion: Time: 1501338252 Difference: 2
pool 3 url vral2uljb3ndhhxr.onion: Time: 1501338255 Difference: -1
Testing the URL Chunk:
['ktqxbqrhg5ai2c7f.onion', 'f7bphdxlqca3sevt.onion', 'nwvk3svshonwqfjs.onion']
pool 3 url ktqxbqrhg5ai2c7f.onion: Time: 1501338259 Difference: 3
pool 3 url f7bphdxlqca3sevt.onion: Time: 1501338258 Difference: 4
pool 3 url nwvk3svshonwqfjs.onion: Time: 1501338263 Difference: -1
Testing the URL Chunk:
['ythg247lqkx2gpgx.onion', 'vwakviie2ienjx6t.onion', 'nbybwh4atabu6xq3.onion']
pool 3 url ythg247lqkx2gpgx.onion: Time: 1501338268 Difference: 0
pool 3 url vwakviie2ienjx6t.onion: Time: 1501338266 Difference: 2
pool 3 url nbybwh4atabu6xq3.onion: Time: 1501338269 Difference: -1
Testing the URL Chunk:
['oscbw3h7wrfxqi4m.onion', 'vyrxto4jsgoxvilf.onion', 'ohusanrieoxsxlmh.onion']
pool 3 url oscbw3h7wrfxqi4m.onion: Time: 1501338275 Difference: 2
pool 3 url vyrxto4jsgoxvilf.onion: Time: 1501338278 Difference: -1
pool 3 url ohusanrieoxsxlmh.onion: Time: 1501338275 Difference: 2
Testing the URL Chunk:
['cmgvqnxjoiqthvrc.onion', 'tpez4zz5a4civ6ew.onion', 'fkbjngvraoici6k7.onion']
pool 3 url cmgvqnxjoiqthvrc.onion: Time: 1501338281 Difference: 3
pool 3 url tpez4zz5a4civ6ew.onion: Time: 1501338285 Difference: -1
pool 3 url fkbjngvraoici6k7.onion: Time: 1501338283 Difference: 1
Testing the URL Chunk:
['tz4732fxpkehod36.onion', '5nca3wxl33tzlzj5.onion', 'gnvweaoe2xzjqldu.onion']
pool 3 url tz4732fxpkehod36.onion: Time: 1501338289 Difference: 0
pool 3 url 5nca3wxl33tzlzj5.onion: Time: 1501338290 Difference: -1
pool 3 url gnvweaoe2xzjqldu.onion: Time: 1501338289 Difference: 0
Testing the URL Chunk:
['6nvqpgx7bih375fx.onion', 'ynvs3km32u33agwq.onion', 'qqvyib4j3fz66nuc.onion']
pool 3 url 6nvqpgx7bih375fx.onion: Time: 1501338293 Difference: 2
pool 3 url ynvs3km32u33agwq.onion: Time: 1501338295 Difference: 0
pool 3 url qqvyib4j3fz66nuc.onion: Time: 1501338293 Difference: 2
Testing the URL Chunk:
['gl3n4wtekbfaubye.onion', 'sejnfjrq6szgca7v.onion', 'lljrzrimek6if67j.onion']
pool 3 url gl3n4wtekbfaubye.onion: Time: 1501338300 Difference: 3
pool 3 url sejnfjrq6szgca7v.onion: Time: 1501338303 Difference: 0
pool 3 url lljrzrimek6if67j.onion: Time: 1501338299 Difference: 4

Avg of Pool :3 having URLs #:75 is 2

user@host:~$

Looks like some slipped through somehow?

For example jxm5d6emw5rknovg.

Same for subgraphqov3womk.

Or xmrto2bturnore26 which was confirmed here https://forums.whonix.org/t/suggest-trustworthy-tor-hidden-services-as-time-sources-for-sdwdate/856/65.

And probably others.

Many of these didn't work for me so did not add then, EXAMPLE

jxm5d6emw5rknovg.onion - out of 6 times 4 times I got a timeout
yuxv6qujajqvmypv.onion: Timeout (Curl --head also Not OK)
u75jkrt3umu2c7pn.onion: Timeout (Curl --head also Not OK)
qssio5fppcrojdh3.onion: Timeout (Curl --head also Not OK)

Added few more urls and comments
https://github.com/joysn/sdwdate/commit/4effb43c54874b5968dd59da89632bea1b598786#diff-289c8954e7cc8349c7632e4ace0564ec

Added other files from the https://github.com/Whonix/sdwdate/pull/19/files
https://github.com/joysn/sdwdate/commit/8b70a2e0eabcc5bdaf9277259bdba368d401ab30#diff-04c6e90faac2675aa89e2176d2eec7d8

Couple of more onions added (Suggested by anonymous1 and approved by Hulahoop

"nxhhwbbxc4khvvlw.onion#https://seacrX.fossencdi.org"
"searx.cwuzdtzlubq5uual.onion#https://searx.fossencdi.org"

lqdnwwwmaouokzmg.onion: Timeout

Is not working.

https://github.com/joysn/sdwdate/commit/c06ffea318db1e9b66b361653e343fb98cc6054f#diff-289c8954e7cc8349c7632e4ace0564ec

There is still a big diff.

git diff anonmos1/patch-1 etc/sdwdate.d/30_default.conf

Could you please also cleanup the ## comments?

The sources like ## SecureDrop List is probably worth keeping?

Stuff like

##       info:
##          Last updated Thu Oct 23 16:15:00 PDT 2014

and lists like

## removed because down:

## removed due to incorrect time:

might be too much work to maintain?

joysn1980 added a comment.EditedJul 31 2017, 7:54 AM

I copied the whole conf file form the https://github.com/Whonix/sdwdate/pull/19
Removed the link which is not working or big time difference
and here it is.
https://github.com/joysn/sdwdate/commit/729122e12b99cc4f0dbe2ce023fde61750002e64#diff-289c8954e7cc8349c7632e4ace0564ec

Let me know if this is ok. Once that is done, we can clean up other things like comments or any onions which you think is not OK/secured.

Patrick closed this task as Resolved.Jul 31 2017, 7:16 PM